Neonode zForce(TM) SDK

Public Attributes | List of all members
PlusDevice Struct Reference

Struct representing a PlusDevice. More...

`#include <PlusDevice.h>`

Collaboration diagram for PlusDevice:
[legend]

## Public Attributes
zForce * | zForce
Connection * | Connection
DeviceType | DeviceType
uint32_t | DeviceIndex
Device ** | StorageDevices
uint32_t | NumberOfStorageDevices
void * | PrivateProtocolData
void(* | Destructor )(Device *self)
| Destructor. More...
CartesianCoordinates | Resolution
TouchActiveArea | TouchActiveArea
ReverseTouchActiveArea | ReverseTouchActiveArea
bool(* | GetEnable )(SensorDevice *self)
| Ask the Device if it is enabled. More...
bool(* | SetEnable )(SensorDevice *self, bool continuousMode, uint32_t numberOfMessages)
| Enable the device. More...
bool(* | GetDisable )(SensorDevice *self)
| Ask the Device if it is disabled. More...
bool(* | SetDisable )(SensorDevice *self)
| Disable the device. More...
bool(* | GetOperationModes )(SensorDevice *self)
| Get the Operating Modes. More...
bool(* | SetOperationModes )(SensorDevice *self, OperationModes modeMask, OperationModes modeValues)
| Set the Operating Modes. More...
bool(* | GetResolution )(SensorDevice *self)
| Get the Resolution. More...
bool(* | SetResolution )(SensorDevice *self, uint32_t x, bool xIsValid, uint32_t y, bool yIsValid, uint32_t z, bool zIsValid)
| Set the Resolution. More...
bool(* | GetReverseTouchActiveArea )(SensorDevice *self)
| Get the X- and Y-axes Reverse setting. More...
bool(* | SetReverseTouchActiveArea )(SensorDevice *self, bool xIsReversed, bool yIsReversed)
| Enable/Disable Reversing the X- and/or Y-Axes. More...
bool(* | GetFlipXY )(SensorDevice *self)
| Get the Flip X/Y axes setting. More...
bool(* | SetFlipXY )(SensorDevice *self, bool axesAreFlipped)
| Enable/Disable flipping the X- and Y-axes. More...
bool(* | GetReflectiveEdgeFilter )(SensorDevice *self)
| Get the Reflective Edge Filter setting. More...
bool(* | SetReflectiveEdgeFilter )(SensorDevice *self, bool isFilterOn)
| Enable/Disable the Reflective Edge Filter. More...
bool(* | GetMergeTouches )(SensorDevice *self)
| Get the current Merge Touches setting. More...
bool(* | SetMergeTouches )(SensorDevice *self, bool areTouchesMerged)
| Enable/Disable the Merge Touches setting. More...
bool(* | GetTouchActiveArea )(SensorDevice *self)
| Get the Touch Active Area. More...
bool(* | SetTouchActiveArea )(SensorDevice *self, uint32_t lowerBoundX, uint32_t upperBoundX, bool xIsValid, uint32_t lowerBoundY, uint32_t upperBoundY, bool yIsValid)
| Set the Touch Active Area. More...
bool(* | GetDetectedObjectSizeRestriction )(SensorDevice *self)
| Get the Detected Object Size Restriction. More...
bool(* | SetDetectedObjectSizeRestriction )(SensorDevice *self, uint32_t minimumSize, uint32_t maximumSize, bool minimumSizeIsValid, bool maximumSizeIsValid)
| Set the Detected Object Size Restriction. More...
bool(* | GetNumberOfTrackedObjects )(SensorDevice *self)
| Get the number of tracked objects. More...
bool(* | SetNumberOfTrackedObjects )(SensorDevice *self, uint32_t numberOfTrackedObjects)
| Set the number of tracked objects. More...
bool(* | GetOffset )(SensorDevice *self)
| Get the X and Y offsets. More...
bool(* | SetOffset )(SensorDevice *self, uint32_t offsetX, bool offsetXIsValid, uint32_t offsetY, bool offsetYIsValid)
| Set the X and Y offsets. More...
bool(* | GetHidDisplaySize )(SensorDevice *self)
| Get the Hid Display Size. More...
bool(* | SetHidDisplaySize )(SensorDevice *self, uint32_t sizeX, bool sizeXIsValid, uint32_t sizeY, bool sizeYIsValid)
| Set the Hid Display Size. More...
bool(* | GetTouchMode )(SensorDevice *self)
| Get the Touch Mode. More...
bool(* | SetTouchMode )(SensorDevice *self, TouchModes touchMode, bool touchModeIsValid, uint32_t clickOnTouchTime, bool clickOnTouchTimeIsValid, uint32_t clickOnTouchRadius, bool clickOnTouchRadiusIsValid)
| Set the Touch Mode. More...
bool(* | GetFloatingProtection )(SensorDevice *self)
| Get the state of Floating Protection. More...
bool(* | SetFloatingProtection )(SensorDevice *self, bool enabled, bool enabledIsValid, uint32_t time, bool timeIsValid)
| Set Floating Protection. More...
bool(* | GetSnappingFilter )(SensorDevice *self)
| Get the state of Snapping Filter. More...
bool(* | SetSnappingFilter )(SensorDevice *self, bool enabled, bool enabledIsValid, uint32_t leftInner, uint32_t leftOuter, bool leftIsValid, uint32_t rightInner, uint32_t rightOuter, bool rightIsValid, uint32_t topInner, uint32_t topOuter, bool topIsValid, uint32_t bottomInner, uint32_t bottomOuter, bool bottomIsValid)
| Set Snapping Filter. More...
bool(* | GetDoubleClickPrevention )(SensorDevice *self)
| Get the state of Double-Click Prevention. More...
bool(* | SetDoubleClickPrevention )(SensorDevice *self, bool enabled, bool enabledIsValid, uint32_t doubleClickPreventionTime, bool doubleClickPreventionTimeIsValid, uint32_t doubleClickPreventionRadius, bool doubleClickPreventionRadiusIsValid)
| Set Double-Click Prevention. More...

## Detailed Description

Struct representing a PlusDevice.

Struct representing a PlusDevice. PlusDevice is a specific implementation of a SensorDevice for zForce Plus(TM).

## Member Data Documentation

## ◆ Connection

Connection* PlusDevice::Connection

The Connection this Device is part of.
Inherited from SensorDevice, Device base classes.

## ◆ Destructor

void( * PlusDevice::Destructor) (Device *self)

Destructor.

Destructs the Device and all base structs.
Inherited from SensorDevice, Device base classes.

Parameters

  self | Pointer to the struct itself.

Returns
  No return value.

## ◆ DeviceIndex

uint32_t PlusDevice::DeviceIndex

Which Device Index this device has.
Inherited from SensorDevice, Device base classes.

## ◆ DeviceType

DeviceType PlusDevice::DeviceType

Which type of Device this is.
Inherited from SensorDevice, Device base classes.

## ◆ GetDetectedObjectSizeRestriction

bool( * PlusDevice::GetDetectedObjectSizeRestriction) (SensorDevice *self)

Get the Detected Object Size Restriction.

Gets the Detected Object Size Restriction.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetDisable

bool( * PlusDevice::GetDisable) (SensorDevice *self)

Ask the Device if it is disabled.

Asks the device if it is disabled.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetDoubleClickPrevention

bool( * PlusDevice::GetDoubleClickPrevention) (SensorDevice *self)

Get the state of Double-Click Prevention.

Gets the state of Double-Click Prevention
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetEnable

bool( * PlusDevice::GetEnable) (SensorDevice *self)

Ask the Device if it is enabled.

Asks the Device if it is enabled. Also reports if the device is in continuous mode and number of messages left to receive.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetFlipXY

bool( * PlusDevice::GetFlipXY) (SensorDevice *self)

Get the Flip X/Y axes setting.

Gets the Flip X/Y axes setting.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetFloatingProtection

bool( * PlusDevice::GetFloatingProtection) (SensorDevice *self)

Get the state of Floating Protection.

Gets the state of Floating Protection.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetHidDisplaySize

bool( * PlusDevice::GetHidDisplaySize) (SensorDevice *self)

Get the Hid Display Size.

Gets the Hid Display Size.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetMergeTouches

bool( * PlusDevice::GetMergeTouches) (SensorDevice *self)

Get the current Merge Touches setting.

Gets the current Merge Touches setting.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetNumberOfTrackedObjects

bool( * PlusDevice::GetNumberOfTrackedObjects) (SensorDevice *self)

Get the number of tracked objects.

Gets the number of tracked objects.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetOffset

bool( * PlusDevice::GetOffset) (SensorDevice *self)

Get the X and Y offsets.

Gets the X and Y offsets.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetOperationModes

bool( * PlusDevice::GetOperationModes) (SensorDevice *self)

Get the Operating Modes.

Gets the Operating Modes as two bitmasks.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetReflectiveEdgeFilter

bool( * PlusDevice::GetReflectiveEdgeFilter) (SensorDevice *self)

Get the Reflective Edge Filter setting.

Gets the Reflective Edge Filter setting.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetResolution

bool( * PlusDevice::GetResolution) (SensorDevice *self)

Get the Resolution.

Gets the Resolution.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetReverseTouchActiveArea

bool( * PlusDevice::GetReverseTouchActiveArea) (SensorDevice *self)

Get the X- and Y-axes Reverse setting.

Gets the X- and Y-axes Reverse setting.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetSnappingFilter

bool( * PlusDevice::GetSnappingFilter) (SensorDevice *self)

Get the state of Snapping Filter.

Gets the state of Snapping Filter.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetTouchActiveArea

bool( * PlusDevice::GetTouchActiveArea) (SensorDevice *self)

Get the Touch Active Area.

Gets the Touch Active Area.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ GetTouchMode

bool( * PlusDevice::GetTouchMode) (SensorDevice *self)

Get the Touch Mode.

Gets the Touch Mode.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ NumberOfStorageDevices

uint32_t PlusDevice::NumberOfStorageDevices

Number of Storage Devices.
Inherited from SensorDevice, Device base classes.

## ◆ PrivateProtocolData

void* PlusDevice::PrivateProtocolData

Private Protocol Data.
Inherited from SensorDevice, Device base classes.

## ◆ Resolution

CartesianCoordinates PlusDevice::Resolution

Resolution of the device.
Inherited from SensorDevice base class.

## ◆ ReverseTouchActiveArea

ReverseTouchActiveArea PlusDevice::ReverseTouchActiveArea

Reverse The Touch Active Area of the device.
Inherited from SensorDevice base class.

## ◆ SetDetectedObjectSizeRestriction

bool( * PlusDevice::SetDetectedObjectSizeRestriction) (SensorDevice *self, uint32_t minimumSize, uint32_t maximumSize, bool minimumSizeIsValid, bool maximumSizeIsValid)

Set the Detected Object Size Restriction.

Sets the Detected Object Size Restriction.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
- EINVALIDINPUT - Lower boundary input values must be lower than upper.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  minimumSize | The minimum object size to detect by device.
  maximumSize | The maximum object size to detect by device.
  minimumSizeIsValid | Set to True to alter minimumSize detection.
  maximumSizeIsValid | Set to True to alter maximumSize detection.

Returns
  True for success, false for failure. See errno.

## ◆ SetDisable

bool( * PlusDevice::SetDisable) (SensorDevice *self)

Disable the device.

Disables the device. Messages will stop arriving as soon as the Device processes the request, but Messages already in progress will still arrive as normal.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

## ◆ SetDoubleClickPrevention

bool( * PlusDevice::SetDoubleClickPrevention) (SensorDevice *self, bool enabled, bool enabledIsValid, uint32_t doubleClickPreventionTime, bool doubleClickPreventionTimeIsValid, uint32_t doubleClickPreventionRadius, bool doubleClickPreventionRadiusIsValid)

Set Double-Click Prevention.

Sets Double-Click Prevention.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  enabled | Double-Click Prevention is enabled.
  enabledIsValid | Enable is valid, i.e. you want to Enable/Disable Double-Click Prevention.
  doubleClickPreventionTime | Double-Click Prevention Time in ms.
  doubleClickPreventionTimeIsValid | Double-Click Prevention Time is valid, i.e. you want to set Double-Click Prevention Time.
  doubleClickPreventionRadius | Double-Click Prevention Radius in 1/10th of mm.
  doubleClickPreventionTimeIsValid | Double-Click Prevention Radius is valid, i.e. you want to set Double-Click Prevention Radius.

Returns
  True for success, false for failure. See errno.

## ◆ SetEnable

bool( * PlusDevice::SetEnable) (SensorDevice *self, bool continuousMode, uint32_t numberOfMessages)

Enable the device.

Enables the device and sets it to either continuous mode or a specified number of messages. Not all protocols handle non-continuous mode.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
- EINVALIDINPUT - Continuous cannot be false when numberOfMessages = 0.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  continuousMode | Set to true for continuous mode.
  numberOfMessages | When in non-continuous mode, specifies how many Messages to receive before the Device disables itself. May not be 0 when continuousMode == false.

Returns
  True for success, false for failure. See errno.

## ◆ SetFlipXY

bool( * PlusDevice::SetFlipXY) (SensorDevice *self, bool axesAreFlipped)

Enable/Disable flipping the X- and Y-axes.

Enables/Disables flipping the X-axis and Y-axis. When the axis are flipped, the axis that in normal mode was X, is now Y, and the axis that was Y is now X.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  axesAreflipped | True to flip the axes.

Returns
  True for success, false for failure. See errno.

## ◆ SetFloatingProtection

bool( * PlusDevice::SetFloatingProtection) (SensorDevice *self, bool enabled, bool enabledIsValid, uint32_t time, bool timeIsValid)

Set Floating Protection.

Sets Floating Protection.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  enabled | Floating Protection is enabled.
  enabledIsValid | Enable is valid, i.e. you want to Enable/Disable Floating Protection.
  time | Floating Protection Time in ms.
  timeIsValid | Floating Protection Time is valid, i.e. you want to set Floating Protection Time.

Returns
  True for success, false for failure. See errno.

## ◆ SetHidDisplaySize

bool( * PlusDevice::SetHidDisplaySize) (SensorDevice *self, uint32_t sizeX, bool sizeXIsValid, uint32_t sizeY, bool sizeYIsValid)

Set the Hid Display Size.

Sets the Hid Display Size.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  sizeX | X Size.
  sizeXIsValid | X Size is valid, i.e. you want to set Size X.
  sizeY | Y Size.
  sizeYIsValid | Y Size is valid, i.e. you want to set Size Y.

Returns
  True for success, false for failure. See errno.

## ◆ SetMergeTouches

bool( * PlusDevice::SetMergeTouches) (SensorDevice *self, bool areTouchesMerged)

Enable/Disable the Merge Touches setting.

Enables/Disables the Merge Touches setting.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  areTouchesMerged | True to enable merging touches.

Returns
  True for success, false for failure. See errno.

## ◆ SetNumberOfTrackedObjects

bool( * PlusDevice::SetNumberOfTrackedObjects) (SensorDevice *self, uint32_t numberOfTrackedObjects)

Set the number of tracked objects.

Sets the number of tracked objects.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  numberOfTrackedObjects | Tracked object count.

Returns
  True for success, false for failure. See errno.

## ◆ SetOffset

bool( * PlusDevice::SetOffset) (SensorDevice *self, uint32_t offsetX, bool offsetXIsValid, uint32_t offsetY, bool offsetYIsValid)

Set the X and Y offsets.

Sets the X and Y offsets.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  offsetX | X Offset.
  offsetXIsValid | Offset X is valid, i.e. you want to set X Offset.
  offsetY | Y Offset.
  offsetYIsValid | Offset Y is valid, i.e. you want to set Y Offset.

Returns
  True for success, false for failure. See errno.

## ◆ SetOperationModes

bool( * PlusDevice::SetOperationModes) (SensorDevice *self, OperationModes modeMask, OperationModes modeValues)

Set the Operating Modes.

Sets the Operating Modes of the Device as two bitmasks.
Setting the modeMask bit for a specific Mode to 1 changes it to become the corresponding bit in modeValues but setting the bit to 0 does not change it.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
- EINVALIDINPUT - The modeMask and/or modeValue fields try to set bits that are not defined.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  modeMask | A bit set to 1 means set to the corresponding bit in the modeValue field and 0 means do not change this bit.
  modeValues | The value to set the bits to.

Returns
  True for success, false for failure. See errno.

## ◆ SetReflectiveEdgeFilter

bool( * PlusDevice::SetReflectiveEdgeFilter) (SensorDevice *self, bool isFilterOn)

Enable/Disable the Reflective Edge Filter.

Enables/Disables the Reflective Edge Filter.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  isFilterOn | True to enable the filter.

Returns
  True for success, false for failure. See errno.

## ◆ SetResolution

bool( * PlusDevice::SetResolution) (SensorDevice *self, uint32_t x, bool xIsValid, uint32_t y, bool yIsValid, uint32_t z, bool zIsValid)

Set the Resolution.

Sets the Resolution.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  x | The Resolution of the X axis.
  xIsValid | Set to true to change this value or false to ignore it. Ignored on a Device that does not allow it.
  y | The Resolution of the Y axis.
  yIsValid | Set to true to change this value or false to ignore it. Ignored on a Device that does not allow it.
  z | The Resolution of the Z axis.
  zIsValid | Set to true to change this value or false to ignore it. Ignored on a Device that does not allow it.

Returns
  True for success, false for failure. See errno.

## ◆ SetReverseTouchActiveArea

bool( * PlusDevice::SetReverseTouchActiveArea) (SensorDevice *self, bool xIsReversed, bool yIsReversed)

Enable/Disable Reversing the X- and/or Y-Axes.

Enables/Disables Reversing the X- and/or Y-Axes. When an axis is reversed, the 0-point starts on the opposite end of it.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  xIsReversed | True to reverse the X axis.
  yIsReversed | True to reverse the Y axis.

Returns
  True for success, false for failure. See errno.

## ◆ SetSnappingFilter

bool( * PlusDevice::SetSnappingFilter) (SensorDevice *self, bool enabled, bool enabledIsValid, uint32_t leftInner, uint32_t leftOuter, bool leftIsValid, uint32_t rightInner, uint32_t rightOuter, bool rightIsValid, uint32_t topInner, uint32_t topOuter, bool topIsValid, uint32_t bottomInner, uint32_t bottomOuter, bool bottomIsValid)

Set Snapping Filter.

Sets Snapping Filter.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  enabled | Snapping Filter is enabled.
  enabledIsValid | Enable is valid, i.e. you want to Enable/Disable Snapping Filter.
  leftInner | Distance from edge to the inner snapping edge, left side of Touch Active Area.
  leftOuter | Distance from edge to the outer snapping edge, left side of Touch Active Area.
  leftIsValid | Left is valid, i.e. you want to update leftInner & leftOuter in Snapping Filter.
  rightInner | Distance from edge to the inner snapping edge, right side of Touch Active Area.
  rightOuter | Distance from edge to the outer snapping edge, right side of Touch Active Area.
  rightIsValid | Right is valid, i.e. you want to update rightInner & rightOuter in Snapping Filter.
  topInner | Distance from edge to the inner snapping edge, top side of Touch Active Area.
  topOuter | Distance from edge to the outer snapping edge, top side of Touch Active Area.
  topIsValid | Top is valid, i.e. you want to update topInner & topOuter in Snapping Filter.
  bottomInner | Distance from edge to the inner snapping edge, bottom side of Touch Active Area.
  bottomOuter | Distance from edge to the outer snapping edge, bottom side of Touch Active Area.
  bottomIsValid | Bottom is valid, i.e. you want to update bottomInner & bottomOuter in Snapping Filter.

Returns
  True for success, false for failure. See errno.

## ◆ SetTouchActiveArea

bool( * PlusDevice::SetTouchActiveArea) (SensorDevice *self, uint32_t lowerBoundX, uint32_t upperBoundX, bool xIsValid, uint32_t lowerBoundY, uint32_t upperBoundY, bool yIsValid)

Set the Touch Active Area.

Sets the Touch Active Area.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
- EINVALIDINPUT - Lower bound input values must be lower than upper.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  lowerBoundX | The lower boundary for the X axis to set.
  upperBoundX | The upper boundary for the X axis to set.
  xIsValid | Set to true to change the values or false to ignore.
  lowerBoundY | The lower boundary for the Y axis to set.
  upperBoundY | The upper boundary for the Y axis to set.
  yIsValid | Set to true to change the values or false to ignore.

Returns
  True for success, false for failure. See errno.

## ◆ SetTouchMode

bool( * PlusDevice::SetTouchMode) (SensorDevice *self, TouchModes touchMode, bool touchModeIsValid, uint32_t clickOnTouchTime, bool clickOnTouchTimeIsValid, uint32_t clickOnTouchRadius, bool clickOnTouchRadiusIsValid)

Set the Touch Mode.

Sets the Touch Mode.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this Protocol and/or Device.
  Inherited from SensorDevice base class.

Parameters

  self | Pointer to the struct itself.
  touchMode | Touch Mode to set.
  touchModeIsValid | Touch Mode is valid, i.e. you want to set Touch Mode.
  clickOnTouchTime | Click on Touch Time in ms.
  clickOnTouchTimeIsValid | Click On Touch Time is valid, i.e. you want to set Click On Touch Time.
  clickOnTouchRadius | Click on Touch Radius in 1/10th of mm.
  clickOnTouchRadiusIsValid | Click On Touch Radius is valid, i.e. you want to set Click On Touch Radius.

Returns
  True for success, false for failure. See errno.

## ◆ StorageDevices

Device** PlusDevice::StorageDevices

List of Storage Devices. Will change type during implementation.
Inherited from SensorDevice, Device base classes.

## ◆ TouchActiveArea

TouchActiveArea PlusDevice::TouchActiveArea

Touch Active Area of the device.
Inherited from SensorDevice base class.

## ◆ zForce

zForce* PlusDevice::zForce

Pointer to zForce.
Inherited from SensorDevice, Device base classes.

The documentation for this struct was generated from the following file:

- PlusDevice.h